[IntelliJ project configuration] migration to Java 11: use JDK 1.8 for modules which...
[idea/community.git] / platform / core-impl / intellij.platform.core.impl.iml
1 <?xml version="1.0" encoding="UTF-8"?>
2 <module type="JAVA_MODULE" version="4">
3   <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8" inherit-compiler-output="true">
4     <exclude-output />
5     <content url="file://$MODULE_DIR$">
6       <sourceFolder url="file://$MODULE_DIR$/src" isTestSource="false" />
7       <sourceFolder url="file://$MODULE_DIR$/resources" type="java-resource" />
8     </content>
9     <orderEntry type="jdk" jdkName="1.8" jdkType="JavaSDK" />
10     <orderEntry type="sourceFolder" forTests="false" />
11     <orderEntry type="module" module-name="intellij.platform.core" exported="" />
12     <orderEntry type="library" exported="" name="kotlin-stdlib-jdk8" level="project" />
13     <orderEntry type="library" name="Guava" level="project" />
14     <orderEntry type="library" name="JDOM" level="project" />
15     <orderEntry type="module" module-name="intellij.platform.util.ui" />
16     <orderEntry type="module" module-name="intellij.platform.core.ui" />
17     <orderEntry type="library" name="fastutil-min" level="project" />
18     <orderEntry type="library" name="Trove4j" level="project" />
19     <orderEntry type="module" module-name="intellij.platform.util.classLoader" />
20   </component>
21 </module>